%define	name	libmqueue
%define	version	4.41
%define	release	%mkrel 4
%define	major	4
%define libname	%mklibname mqueue %{major}

Summary:	POSIX message queues
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://www.geocities.com/wronski12/posix_ipc/index.html
License:	GPL
Source0:	%{name}-%{version}.tar.bz2
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
POSIX message queues are part of IPC used to exchange messages
between processes

%package -n	%{libname}
Summary:	POSIX message queues
Group:          System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
POSIX message queues are part of IPC used to exchange messages
between processes

%package -n	%{libname}-devel
Summary:	Development libraries and header files for libmqueue
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description -n	%{libname}-devel
POSIX message queues are part of IPC used to exchange messages
between processes

These are the development libraries and header files for libmqueue

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%{makeinstall_std}

# Remove /usr/include/mqueue.h, it's already in glibc-devel
rm -rf %{buildroot}%{_includedir}/mqueue.h

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%post -n %{libname}-devel -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname}-devel -p /sbin/ldconfig
%endif

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libmqueue.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
#{_includedir}/mqueue.h
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_mandir}/man?/*


%changelog
* Tue Jul 22 2008 Thierry Vignaud <tvignaud@mandriva.com> 4.41-4mdv2009.0
+ Revision: 240980
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Jul 21 2007 Stefan van der Eijk <stefan@mandriva.org> 4.41-2mdv2008.0
+ Revision: 54298
- Import libmqueue



* Sun Jun 11 2006 Stefan van der Eijk <stefan@eijk.nu> 4.41-2
- rebuild

* Thu May 26 2005 Stefan van der Eijk <stefan@eijk.nu> 4.41-1mdk
- initial mdk package
